System Requirements for Workplace Manager

Workplace Manager installed on your Server

Hardware

The minimum system requirements to run Workplace Manager on your server are:

  • Windows Server 2012, 2012R2 or 2016 (With GUI)
  • Min. 4 GB RAM
  • IIS Web Server

For testing environments Windows 8.1 or Windows 10 could be used, however these systems support only a limited number of concurrent connections and can therefore be considerably slower. If there are any other components that need installation or updating, the Installer will carry these out automatically after you confirmed them.

Database

As a database you can choose between:

  1. Microsoft SQL Server 2008, 2008R2, 2012 and 2014
  2. PostgreSQL Version 9.4 or newer (Open-source)
  3. For small scale development: Microsoft SQL Server Compact Edition (No need to install)

Apps made with Workplace Manager

For apps designed with Workplace Manager the requirements on the devices are:

iOS Windows Phone Android PC Mac
8 and newer WP10 or newer All releases* Latest Chrome Latest Safari
Latest Firefox Latest Chrome
IE11 or newer
MS Edge Browser

provided they run the latest version of the Chrome App

Got an issue? Or want to submit feedback?
Submit your feedback

Our new Feedback and Issue Tracker is built on GitHub Issues. Just leave your comment below and you can track our team resolve it, or browse issues others have already submitted.

Read how to use the Feedback and Issue Tracker